Permalink
Browse files

Fixed PyInstaller to support latest Pydivert version

  • Loading branch information...
iphelix committed Mar 21, 2017
1 parent 3f84c76 commit 554e77a4122595940753933d66bee801fa93add6
View
@@ -5,20 +5,31 @@ block_cipher = None
a = Analysis(['fakenet/fakenet.py'],
pathex=['fakenet'],
binaries=None,
datas=None,
hiddenimports=[],
hookspath=[],
runtime_hooks=[],
excludes=[],
win_no_prefer_redirects=False,
win_private_assemblies=False,
cipher=block_cipher)
cipher=block_cipher,
)
a.binaries = a.binaries - TOC([
('sqlite3.dll', None, None),
('tcl85.dll', None, None),
('tk85.dll', None, None),
('_sqlite3', None, None),
('_tkinter', None, None)])
driver_files = [('WinDivert64.dll','windivert/WinDivert64.dll', 'BINARY'), ('WinDivert64.sys','windivert/WinDivert64.sys', 'BINARY'),('WinDivert32.dll','windivert/WinDivert32.dll', 'BINARY'), ('WinDivert32.sys','windivert/WinDivert32.sys', 'BINARY')]
pyz = PYZ(a.pure, a.zipped_data,
cipher=block_cipher)
exe = EXE(pyz,
a.scripts,
a.binaries,
a.binaries + driver_files,
a.zipfiles,
a.datas,
icon='resources/fakenet.ico',
View
@@ -98,11 +98,10 @@ def start(self):
self.logger.error(' Please use the original Fakenet for older versions of Windows.')
sys.exit(1)
# Check architecture
if platform.machine() == 'AMD64' and platform.architecture()[0] != '64bit':
self.logger.error('Error: Please install 64-bit Python interpreter to support diverter functions.')
sys.exit(1)
# # Check architecture
# if platform.machine() == 'AMD64' and platform.architecture()[0] != '64bit':
# self.logger.error('Error: Please install 64-bit Python interpreter to support diverter functions.')
# sys.exit(1)
from diverters.windows import Diverter
self.diverter = Diverter(self.diverter_config, self.listeners_config, self.logging_level)
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.

0 comments on commit 554e77a

Please sign in to comment.